package com.mortals.xhx.module.yth.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:YthFlowlimit
* date: 2021-9-7 10:49:11
*/
public class YthFlowlimitEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1630982951513L;


    /**
    * 事项id
    */
    private Long matterid;

    /**
    * 流程名
    */
    private String nodeName;

    /**
    * 排序
    */
    private Integer sort;

    /**
    * 转外时限
    */
    private Integer outTimeLimit;

    /**
    * 承诺办理时限
    */
    private Integer handleTimeLimit;

    /**
    * 办事窗口
    */
    private String handleWindow;

    /**
    * 审批标准
    */
    private String approvalStandard;

    /**
    * 办理类型
    */
    private String bizType;

    /**
    * 流程提交状态
    */
    private String complexWorkFlowFlag;

    /**
    * 
    */
    private String nodeId;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 创建用户
    */
    private String createUser;

    public YthFlowlimitEntity(){

    }
    /**
    * 获取 事项id
    * @return matterid
    */
    public Long getMatterid() {
        return this.matterid;
    }
    /**
    * 设置 事项id
    * @param matterid
    */
    public void setMatterid(Long matterid) {
        this.matterid = matterid;
    }
    /**
    * 获取 流程名
    * @return nodeName
    */
    public String getNodeName() {
        return this.nodeName;
    }
    /**
    * 设置 流程名
    * @param nodeName
    */
    public void setNodeName(String nodeName) {
        this.nodeName = nodeName;
    }
    /**
    * 获取 排序
    * @return sort
    */
    public Integer getSort() {
        return this.sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort) {
        this.sort = sort;
    }
    /**
    * 获取 转外时限
    * @return outTimeLimit
    */
    public Integer getOutTimeLimit() {
        return this.outTimeLimit;
    }
    /**
    * 设置 转外时限
    * @param outTimeLimit
    */
    public void setOutTimeLimit(Integer outTimeLimit) {
        this.outTimeLimit = outTimeLimit;
    }
    /**
    * 获取 承诺办理时限
    * @return handleTimeLimit
    */
    public Integer getHandleTimeLimit() {
        return this.handleTimeLimit;
    }
    /**
    * 设置 承诺办理时限
    * @param handleTimeLimit
    */
    public void setHandleTimeLimit(Integer handleTimeLimit) {
        this.handleTimeLimit = handleTimeLimit;
    }
    /**
    * 获取 办事窗口
    * @return handleWindow
    */
    public String getHandleWindow() {
        return this.handleWindow;
    }
    /**
    * 设置 办事窗口
    * @param handleWindow
    */
    public void setHandleWindow(String handleWindow) {
        this.handleWindow = handleWindow;
    }
    /**
    * 获取 审批标准
    * @return approvalStandard
    */
    public String getApprovalStandard() {
        return this.approvalStandard;
    }
    /**
    * 设置 审批标准
    * @param approvalStandard
    */
    public void setApprovalStandard(String approvalStandard) {
        this.approvalStandard = approvalStandard;
    }
    /**
    * 获取 办理类型
    * @return bizType
    */
    public String getBizType() {
        return this.bizType;
    }
    /**
    * 设置 办理类型
    * @param bizType
    */
    public void setBizType(String bizType) {
        this.bizType = bizType;
    }
    /**
    * 获取 流程提交状态
    * @return complexWorkFlowFlag
    */
    public String getComplexWorkFlowFlag() {
        return this.complexWorkFlowFlag;
    }
    /**
    * 设置 流程提交状态
    * @param complexWorkFlowFlag
    */
    public void setComplexWorkFlowFlag(String complexWorkFlowFlag) {
        this.complexWorkFlowFlag = complexWorkFlowFlag;
    }
    /**
    * 获取 
    * @return nodeId
    */
    public String getNodeId() {
        return this.nodeId;
    }
    /**
    * 设置 
    * @param nodeId
    */
    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 创建用户
    * @return createUser
    */
    public String getCreateUser() {
        return this.createUser;
    }
    /**
    * 设置 创建用户
    * @param createUser
    */
    public void setCreateUser(String createUser) {
        this.createUser = createUser;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof YthFlowlimitEntity) {
            YthFlowlimitEntity tmp = (YthFlowlimitEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",matterid:").append(getMatterid())
                .append(",nodeName:").append(getNodeName())
                .append(",sort:").append(getSort())
                .append(",outTimeLimit:").append(getOutTimeLimit())
                .append(",handleTimeLimit:").append(getHandleTimeLimit())
                .append(",handleWindow:").append(getHandleWindow())
                .append(",approvalStandard:").append(getApprovalStandard())
                .append(",bizType:").append(getBizType())
                .append(",complexWorkFlowFlag:").append(getComplexWorkFlowFlag())
                .append(",nodeId:").append(getNodeId())
                .append(",createTime:").append(getCreateTime())
                .append(",createUser:").append(getCreateUser())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.matterid = null;

         this.nodeName = null;

         this.sort = null;

         this.outTimeLimit = null;

         this.handleTimeLimit = null;

         this.handleWindow = null;

         this.approvalStandard = null;

         this.bizType = null;

         this.complexWorkFlowFlag = null;

         this.nodeId = null;

         this.createTime = null;

         this.createUser = null;

    }
}